QGIS Application - Bug report #9691

Rotation of ESRI Shapefile with transparency in Print Composer

2014-03-03 01:34 AM - Tut halija

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 18256

Description

By rotating a map [add image] in the print composer [ltem Proprieties -> Main Proprieties -> Map -> Map rotation], when the transparency
of Shapefile layer (in the project) is not set at 0, gives a mistake if you're exporting the file.

That doesn't occur if the transparency of the layer in the project is set to "0" or for raster with/without transparency.

Enclosed screenshot of the print composer (the map is cached) and the output with rotation of 330 degrees. The transparency of the

green layer is set at 5%, 0% for the red. You can see how the green layer is cut (it should looks like the print composer) and how the other

layer are fine.

Hint: You can see that the Shapefile with transparency doesn't follow the rotation

History

#1 - 2014-03-04 12:14 AM - Giovanni Manghi
- Target version set to Version 2.4
- Category set to Map Composer/Printing

#2 - 2014-05-27 03:37 AM - Nyall Dawson
- Status changed from Open to Feedback

Can you confirm whether you still see this issue in current master (v 2.3)? | can't reproduce this issue and suspect it has been fixed.

#3 - 2014-05-27 09:59 AM - Tut halija

Dear Nyall

| tested on current master (v. 2.3). The issue has been fixed. Great!
Thanks a lot, | was really looking for the implementation.

Should | close the bug report ? (sorry | am a newbie, it's my first bug report)

Néhémie

#4 - 2014-05-27 12:19 PM - Nyall Dawson

- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
